<?php

// Gzip
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip'))
    ob_start("ob_gzhandler");
else
    ob_start();

include ( 'php/avm_generator.php5');
include ( 'php/namespaces.php5' );
include ( 'php/formvariables.php5');
include ( 'php/categorydefinition.php5');

//	Present form, unless the form has already been submitted
if (!isset( $_POST['submit'])) {

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
        <meta http-equiv="Content-Language" content="en" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>AVM 1.1 Web Tool</title>
        <link rel="stylesheet" href="css/avm.tabs.css" type="text/css" media="screen" title="avmform (Default)" />
        <link rel="stylesheet" href="css/style.css" type="text/css" />
        <link rel="stylesheet" href="css/tree_subcat/style.css" />
        <link rel="stylesheet" href="https://www.virtualastronomy.org/styles.css" type="text/css" />
        
        <!-- Begin Styles for Subject Category Widget -->
        	<style type="text/css">
		body
		{
			font-family:Verdana, Arial, Helvetica, sans-serif;
			font-size:11px
		}
		#inputs {
		  width: 40%;
		  font-weight:bold;
		  margin:10px;
		}
		#layer1 
		{
			position: absolute;
			left:200px;
			top:100px;
			width:450px;
			background-color:#99ACCF;
			border: 1px solid #000;
			z-index: 50;
		}
		#layer1_handle 
		{
			background-color:#738EBE;
			padding:2px;
			text-align:center;
			font-weight:bold;
			color: #FFFFFF;
			vertical-align:middle;
		}
		#layer1_content 
		{
			padding:5px;
		}
		#close
		{
			float:right;
			text-decoration:none;
			color:#FFFFFF;
		}
		#tools {
		  width: 50%;
		  float: right;
		  text-align: right;
		}
		
	</style>
        <!-- End Styles for Subject Category Widget -->

		<script type="text/javascript" src="js/jquery/jquery-1.2.3.min.js"></script>
        <script type="text/javascript" src="js/jquery/ui.tabs.js"></script>
        <script type="text/javascript" src="js/jquery/jquery.js"></script>
        <script type="text/javascript" src="js/jquery/interface.js"></script>
        <script type="text/javascript" src="js/formhints.js"></script>
        <script type="text/javascript" src="js/expandform.js"></script>
        <script type="text/javascript" src="js/tree-pack.js"></script>
        <script type="text/javascript" src="js/subjectcategory.js"></script>

	<!-- Matomo -->
	<script type='text/javascript'>
		var _paq = window._paq || [];
		/*tracker methods like 'setCustomDimension' should be called before 'trackPageView'*/
		_paq.push(['trackPageView']);
		_paq.push(['enableLinkTracking']);
		(function() {
			var u='//www.eso.org/mtmo/';
			_paq.push(['setTrackerUrl', u+'matomo.php']);
			_paq.push(['setSiteId', '17']);
			var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
			g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
		})();
	</script>
	<!-- End Matomo Code -->
    </head>
    <body class="avmform">
        <!-- Begin VAMP Template -->
        <div id="banner">
            <img src="https://www.virtualastronomy.org/images/banner3.jpg" alt="banner" />
        </div>
        <!-- End VAMP Template -->
        <h1>Astronomy Visualization Metadata 1.1 &mdash; Web Tool</h1>

        <div id="container-1">
            <ul>
                <li><a href="#creator-section"><span>Creator Metadata</span></a></li>
                <li><a href="#content-section"><span>Content Metadata</span></a></li>
                <li><a href="#observation-section"><span>Observation Metadata</span></a></li>
                <li><a href="#coordinate-section"><span>Coordinate Metadata</span></a></li>
                <li><a href="#publisher-section"><span>Publisher Metadata</span></a></li>
                <li><a href="#help-section"><span>Instructions</span></a></li>
            </ul>
            <form method="post" action="" id="avm">
            <div id="creator-section">
                <div class="hints">
                <b>Instructions for each field:</b>
                    <span class="hint" id="creator-hint">Original creator of the resource at the organizational level.</span>
                    <span class="hint" id="creatorurl-hint">A simple URL pointing to the (top level) outreach webpage for the original creator.</span>
                    <span class="hint" id="contactname-hint">Name(s) of the primary contact(s) for the resource.</span>
                    <span class="hint" id="contactemail-hint">Email(s) of the primary contact(s) for the resource.</span>
                    <span class="hint" id="contacttelephone-hint">Telephone number(s) of the primary contact for the resource.</span>
                    <span class="hint" id="contactaddress-hint">Street address of the primary contact for the resource.</span>
                    <span class="hint" id="contactcity-hint">City of the primary contact for the resource.</span>
                    <span class="hint" id="contactstateprovince-hint">State or province of the primary contact for the resource.</span>
                    <span class="hint" id="contactpostalcode-hint">Zip or postal code of the primary contact for the resource.</span>
                    <span class="hint" id="contactcountry-hint">Country of the primary contact for the resource.</span>
                    <span class="hint" id="rights-hint">Copyright and related intellectual property rights description.</span>
                </div>
                <fieldset><legend>Creator Metadata</legend>
                    <label for="creator">Creator</label><input name="creator" id="creator" size="75" /><br />
                    <label for="creatorurl">CreatorURL</label><input name="creatorurl" id="creatorurl" size="75" /><br />
                    <label for="contactname">Contact.Name</label><input name="contactname" id="contactname" size="75" /><br />
                    <label for="contactemail">Contact.Email</label><input name="contactemail" id="contactemail" size="75" /><br />
                    <label for="contacttelephone">Contact.Telephone</label><input name="contacttelephone" id="contacttelephone" size="75" /><br />
                    <label for="contactaddress">Contact.Address</label><input name="contactaddress" id="contactaddress" size="75" /><br />
                    <label for="contactcity">Contact.City</label><input name="contactcity" id="contactcity" size="75" /><br />
                    <label for="contactstateprovince">Contact.StateProvince</label><input name="contactstateprovince" id="contactstateprovince" size="75" /><br />
                    <label for="contactpostalcode">Contact.PostalCode</label><input name="contactpostalcode" id="contactpostalcode" size="75" /><br />
                    <label for="contactcountry">Contact.Country</label><input name="contactcountry" id="contactcountry" size="75" /><br />
                    <label for="rights">Rights</label><textarea cols="75" rows="4" name="rights" id="rights" ></textarea><br />
                </fieldset>
            </div>
            <div id="content-section">
                <div class="reset">
                <input type="button" id="resetbutton1" value="reset metadata"/><br />
                </div>
                <div class="hints">
                    <b>Instructions for each field:</b>
                        <span class="hint" id="title-hint">General descriptive title given to the image resource.</span>
                        <span class="hint" id="headline-hint">Short description of the full caption.</span>
                        <span class="hint" id="description-hint">Full caption and related description text for the image resource.</span>
                        <span class="hint" id="subjectcategory-hint">The type(s) of object or objects in the resource. If objects can be placed into multiple categories in the taxonomy they should all be listed.</span>
                        <span class="hint" id="subjectname-hint">Proper names/catalog numbers for all of the key objects in the image field.</span>
                        <span class="hint" id="distance1-hint">The distance to the object, measured in light years.  Place a dash "&mdash;" as a placeholder if no value is entered, but a red shift value is entered in the following field.</span>
                        <span class="hint" id="distance2-hint">The distance to the object, measured in red shift value.</span>
                        <span class="hint" id="distancenotes-hint">Comment about the contents of the Distance tag.</span>
                        <span class="hint" id="referenceurl-hint">Web page containing more information about this specific image.</span>
                        <span class="hint" id="credit-hint">The minimum information that the Publisher would like to see mentioned when the resource is used.</span>
                        <span class="hint" id="date-hint">Date that the resource was created or made available (YYYY-MM-DD).</span>
                        <span class="hint" id="id-hint">This is an identifier for the resource that is unique to the creator.</span>
                        <span class="hint" id="type-hint">The type of resource.</span>
                        <span class="hint" id="imageproductquality-hint">Qualitative image quality assessment.</span>
                </div>
                <fieldset><legend>Content Metadata</legend>
                    <label>Title</label><input name="title" id="title" size="75" /><br />
                    <label>Headline</label><textarea cols="75" rows="4" name="headline" id="headline" ></textarea><br />
                    <label>Description</label><textarea cols="75" rows="4" name="description" id="description" ></textarea><br />
                    <label>Subject.Category</label><div id="content"><input type="button" id="preferences" value="Subject Category Widget" /></div>
                        <input type="hidden" id="hiddensubjectcategory" name="hiddensubjectcategory" value="" /><br />
                    <label>Subject.Name</label><input name="subjectname" id="subjectname" size="75" /><br />
                    <label>Distance (light years)</label><input name="distance1" id="distance1" size="75" /><br />
                    <label>Distance (red shift)</label><input name="distance2" id="distance2" size="75" /><br />
                    <label>Distance.Notes</label><input name="distancenotes" id="distancenotes" size="75" /><br />
                    <label>ReferenceURL</label><input name="referenceurl" id="referenceurl" size="75" /><br />
                    <label>Credit</label><textarea cols="75" rows="4" name="credit" id="credit" ></textarea><br />
                    <label>Date</label><input name="date" id="date" size="75" /><br />
                    <label>ID</label><input name="id" id="id" size="75" /><br />
                    <label>Type</label><select name="type" id="type" >
                        <option value="">undefined</option>
                        <option value="Artwork">Artwork</option>
                        <option value="Observation">Observation</option>
                        <option value="Photograph">Photograph</option>
                        <option value="Simulation">Simulation</option>
                        <option value="Planetary">Planetary</option>
                        <option value="Collage">Collage</option>
                        <option value="Chart">Chart</option>
                    </select><br />
                    <label>Image.ProductQuality</label><select name="imageproductquality" id="imageproductquality" >
                        <option value="">undefined</option>
                        <option value="Good">Good</option>
                        <option value="Moderate">Moderate</option>
                        <option value="Poor">Poor</option>
                    </select>
                </fieldset>
            </div>
            <div id="observation-section">
                <div class="reset">
                    <input type="button" id="resetbutton2" value="reset metadata" /><br />
                </div>
                <div class="hints">
                    <b>Instructions for each field:</b>
                    <span class="hint" id="facility1-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility2-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility3-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility4-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility5-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility6-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility7-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility8-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility9-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="facility10-hint">Telescopes or observatories used for the observations.</span>
                    <span class="hint" id="instrument1-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument2-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument3-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument4-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument5-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument6-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument7-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument8-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument9-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="instrument10-hint">Instrument used to collect the data.</span>
                    <span class="hint" id="spectralcolorassignment1-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment2-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment3-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment4-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment5-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment6-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment7-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment8-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment9-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralcolorassignment10-hint">The output colour, which is assigned to an exposure.</span>
                    <span class="hint" id="spectralband1-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband2-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband3-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband4-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband5-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband6-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband7-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband8-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband9-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralband10-hint">Waveband of the component exposure from a pre-defined list defining the general part of the spectrum covered.</span>
                    <span class="hint" id="spectralbandpass1-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass2-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass3-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass4-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass5-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass6-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass7-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass8-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass9-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralbandpass10-hint">Bandpass of the individual exposure.</span>
                    <span class="hint" id="spectralcentralwavelength1-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength2-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength3-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength4-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength5-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength6-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength7-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength8-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength9-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralcentralwavelength10-hint">Central wavelength of the filter used for the individual exposure measured in nanometres.</span>
                    <span class="hint" id="spectralnotes-hint">Free-text field to allow for more detailed discussions of bandpasses and color mappings.</span>
                    <span class="hint" id="temporalstarttime1-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime2-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime3-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime4-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime5-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime6-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime7-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime8-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime9-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalstarttime10-hint">Start time of the exposure in ISO 8601 format (YYYY-MM-DD-HHMM).</span>
                    <span class="hint" id="temporalintegrationtime1-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime2-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime3-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime4-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime5-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime6-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime7-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime8-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime9-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="temporalintegrationtime10-hint">The exposure time the exposure in seconds.</span>
                    <span class="hint" id="datasetid1-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid2-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid3-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid4-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid5-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid6-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid7-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid8-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid9-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                    <span class="hint" id="datasetid10-hint">VO-compliant reference to the dataset (the exposure) used to construct the final image (if available).</span>
                </div>
                <fieldset><legend>Observation Metadata</legend>
                    Click to add/remove form fields
                    <input type="button" id="addfield" value="+" />
                    <input type="button" id="removefield" value="-" /><br />
                    <div id="facility-1">
                        <label>Facility 1</label><input name="facility1" id="facility1" size="75" /><br />
                    </div>
                    <div id="instrument-1">
                        <label>Instrument 1</label><input name="instrument1" id="instrument1" size="75" /><br />
                    </div>
                    <div id="spectralcolorassignment-1">
                        <label>Spectral.ColorAssignment 1</label><select name="spectralcolorassignment1" id="spectralcolorassignment1" >
                            <option value="">undefined</option>
                            <option value="Purple">Purple</option>
                            <option value="Blue">Blue</option>
                            <option value="Cyan">Cyan</option>
                            <option value="Green">Green</option>
                            <option value="Yellow">Yellow</option>
                            <option value="Orange">Orange</option>
                            <option value="Red">Red</option>
                            <option value="Magenta">Magenta</option>
                            <option value="Grayscale">Grayscale</option>
                            <option value="Pseudocolor">Pseudocolor</option>
                        </select><br />
                    </div>
                    <div id="spectralband-1">
                        <label>Spectral.Band 1</label><select name="spectralband1" id="spectralband1" >
                            <option value="">undefined</option>
                            <option value="Radio">Radio</option>
                            <option value="Millimeter">Millimeter</option>
                            <option value="Infrared">Infrared</option>
                            <option value="Optical">Optical</option>
                            <option value="Ultraviolet">Ultraviolet</option>
                            <option value="X-ray">X-ray</option>
                            <option value="Gamma-ray">Gamma-ray</option>
                        </select><br />
                    </div>
                    <div id="spectralbandpass-1">
                        <label>Spectral.Bandpass 1</label><input name="spectralbandpass1" id="spectralbandpass1" size="75" /><br />
                    </div>
                    <div id="spectralcentralwavelength-1">
                        <label>Spectral.CentralWavelength 1</label><input name="spectralcentralwavelength1" id="spectralcentralwavelength1" size="75" /><br />
                    </div>
                    <label>Spectral.Notes</label><textarea cols="75" rows="4" name="spectralnotes" id="spectralnotes" ></textarea><br />
                    <div id="temporalstarttime-1">
                        <label>Temporal.StartTime 1</label><input name="temporalstarttime1" id="temporalstarttime1" size="75" /><br />
                    </div>
                    <div id="temporalintegrationtime-1">
                        <label>Temporal.IntegrationTime 1</label><input name="temporalintegrationtime1" id="temporalintegrationtime1" size="75" /><br />
                    </div>
                    <div id="datasetid-1">
                        <label>DatasetID 1</label><input name="datasetid1" id="datasetid1" size="75" /><br />
                    </div>
                </fieldset>
            </div>
            <div id="coordinate-section">
                <div class="reset">
                    <input type="button" id="resetbutton3" value="reset metadata" /><br />
                </div>
                <div class="hints">
                    <b>Instructions for each field:</b>
                        <span class="hint" id="spatialcoordinateframe-hint">Coordinate system reference frame. FITS equivalent: CFRAME.</span>
                        <span class="hint" id="spatialequinox-hint">Equinox for Spatial.CoordinateFrame. FITS equivalent: Equinox.</span>
                        <span class="hint" id="spatialreferencevalue1-hint">Reference coordinates for the image (2 element list in decimal degrees). FITS equivalent: CRVAL1.</span>
                        <span class="hint" id="spatialreferencevalue2-hint">Reference coordinates for the image (2 element list in decimal degrees). FITS equivalent: CRVAL2.</span>
                        <span class="hint" id="spatialreferencedimension1-hint">Size of the image in pixels (2 element list). FITS equivalent: NAXIS1.</span>
                        <span class="hint" id="spatialreferencedimension2-hint">Size of the image in pixels (2 element list). FITS equivalent: NAXIS2.</span>
                        <span class="hint" id="spatialreferencepixel1-hint">X,Y coordinates of the pixel in the image to which the reference coordinate (Spatial.ReferenceValue) refers (2 element list). FITS equivalent: CRPIX1.</span>
                        <span class="hint" id="spatialreferencepixel2-hint">X,Y coordinates of the pixel in the image to which the reference coordinate (Spatial.ReferenceValue) refers (2 element list). FITS equivalent: CRPIX2.</span>
                        <span class="hint" id="spatialscale1-hint">Spatial scale of the image in number of degrees/pixel (2 element list). FITS equivalent: CDELT1.</span>
                        <span class="hint" id="spatialscale2-hint">Spatial scale of the image in number of degrees/pixel (2 element list). FITS equivalent: CDELT2.</span>
                        <span class="hint" id="spatialrotation-hint">Position angle of the Y axis in degrees measured east from north. FITS equivalents: CROT/CROTA1/CROTA2.</span>
                        <span class="hint" id="spatialcoordsystemprojection-hint">A combination of the coordinate system and the projection of the image. FITS equivalent: CTYPE1,2.</span>
                        <span class="hint" id="spatialquality-hint">This qualitatively describes the reliability of the spatial coordinate information in this metadata. FITS equivalent: CFRAME</span>
                        <span class="hint" id="spatialnotes-hint">Free-text description to further expand upon coordinates/geometry of image. FITS equivalent: CFRAME</span>
                        <span class="hint" id="spatialfitsheader-hint">Free-text representation of the FITS header from which the AVM spatial tags were derived. FITS equivalent: CFRAME</span>
                </div>
                    <fieldset><legend>Coordinate Metadata</legend>
                        <label>Spatial.CoordinateFrame</label><select name="spatialcoordinateframe" id="spatialcoordinateframe" >
                            <option value="">undefined</option>
                            <option value="ICRS">ICRS</option>
                            <option value="FK5">FK5</option>
                            <option value="FK4">FK4</option>
                            <option value="ECL">ECL</option>
                            <option value="GAL">GAL</option>
                            <option value="SGAL">SGAL</option>
                        </select><br />
                        <label>Spatial.Equinox</label><select name="spatialequinox" id="spatialequinox" >
                            <option value="">undefined</option>
                            <option value="J2000">J2000</option>
                            <option value="B1950">B1950</option>
                        </select><br />
                        <label>Spatial.ReferenceValue1</label><input name="spatialreferencevalue1" id="spatialreferencevalue1" size="75" /><br />
                        <label>Spatial.ReferenceValue2</label><input name="spatialreferencevalue2" id="spatialreferencevalue2" size="75" /><br />
                        <label>Spatial.ReferenceDimension1</label><input name="spatialreferencedimension1" id="spatialreferencedimension1" size="75" /><br />
                        <label>Spatial.ReferenceDimension2</label><input name="spatialreferencedimension2" id="spatialreferencedimension2" size="75" /><br />
                        <label>Spatial.ReferencePixel1</label><input name="spatialreferencepixel1" id="spatialreferencepixel1" size="75" /><br />
                        <label>Spatial.ReferencePixel2</label><input name="spatialreferencepixel2" id="spatialreferencepixel2" size="75" /><br />
                        <label>Spatial.Scale1</label><input name="spatialscale1" id="spatialscale1" size="75" /><br />
                        <label>Spatial.Scale2</label><input name="spatialscale2" id="spatialscale2" size="75" /><br />
                        <label>Spatial.Rotation</label><input name="spatialrotation" id="spatialrotation" size="75" /><br />
                        <label>Spatial.CoordsystemProjection</label><select name="spatialcoordsystemprojection" id="spatialcoordsystemprojection">
                            <option value="">undefined</option>
                            <option value="TAN">TAN</option>
                            <option value="SIN">SIN</option>
                            <option value="ARC">ARC</option>
                            <option value="AIT">AIT</option>
                            <option value="CAR">CAR</option>
                        </select><br />
                        <label>Spatial.Quality</label><select name="spatialquality" id="spatialquality">
                            <option value="">undefined</option>
                            <option value="Full">Full</option>
                            <option value="Position">Position</option>
                        </select><br />
                        <label>Spatial.Notes</label><textarea cols="75" rows="4" name="spatialnotes" id="spatialnotes" ></textarea><br />
                        <label>Spatial.FITSheader</label><textarea cols="75" rows="4" name="spatialfitsheader" id="spatialfitsheader" ></textarea><br />
                    </fieldset>
            </div>
            <div id="publisher-section">
                <div class="hints">
                <b>Instructions for each field:</b>
                    <span class="hint" id="publisher-hint">Publisher of the resource.</span>
                    <span class="hint" id="publisherid-hint">ID of publisher registered as VAMP providers.</span>
                    <span class="hint" id="resourceid-hint">This identifies a specific "instance" of a resource; e.g. one image in one file format at one resolution. This allows the same resource (image) to be offered in different formats and resolutions. Together with the PublisherID, each registered resource is uniquely identified in the database.</span>
                    <span class="hint" id="resourceurl-hint">A unique URL pointing to the specific online image/image archive is needed to identify where to obtain the image. Each ResourceID is paired with a matching ResourceURL.</span>
                    <span class="hint" id="relatedresources1-hint">The format is a list of PublisherID/ID values that will reference specific resources registered in VAMP (though not specific "instances").</span>
                    <span class="hint" id="metadatadate-hint">The date of the metadata content for the image.</span>
                    <span class="hint" id="metadataversion-hint">This is the version of the applied metadata definition (YYYY-MM-DD).</span>
                </div>
                <fieldset><legend>Publisher Metadata</legend>
                    <label>Publisher</label><input name="publisher" id="publisher" size="75" /><br />
                    <label>PublisherID</label><input name="publisherid" id="publisherid" size="75" /><br />
                    <label>ResourceID</label><input name="resourceid" id="resourceid" size="75" /><br />
                    <label>ResourceURL</label><input name="resourceurl" id="resourceurl" size="75" /><br />
                    Click to add/remove Related Resources fields
                    <input type="button" id="addfieldRR" value="+" />
                    <input type="button" id="removefieldRR" value="-" /><br />
                    <div id="relatedresources-1">
                        <label>RelatedResources 1</label><input name="relatedresources1" id="relatedresources1" size="75" /><br />
                    </div>
                    <label>MetadataDate</label><input name="metadatadate" id="metadatadate" size="75" value="<?php echo date("Y-m-d") ?>"/><br />
                    <input name="metadataversion" id="metadataversion" type="hidden" value="1.1"/>
                </fieldset>            
            </div>
            <div id="help-section">
                How to use the AVM Web Tool:
                <ul>
                    <li class="howto">The AVM Web Tool has an entry for 52 AVM tags.  Once completed and submitted it will generate an XML file in the Adobe XMP format.  This file can then be attached to an image header using tools in Adobe Photoshop or Adobe Bridge.</li>
                    
                    <li class="howto">Use only the fields that are necessary to properly tag your astronomical image.  The tool does not require you to complete every field.  Keep in mind that there is no validation of form inputs, so some fields may not be understood by Adobe's software unless it has been properly entered.</li>
                    
                    <li class="howto">Instructions for each field appear at the top when the field is active.  Use these hints if unsure about a particular field, or need guidance for the correct input format.</li>
                    
                    <li class="howto">The Subject.Category field under the <em>Content Metadata</em> section links to a widget.  The widget is used to retrieve numeric codes for taxonomy purposes &mdash; the taxonomy list is part of the AVM standard and VAMP project.</li>
                    <li class="howto">Note that on the Observation Metadata panel you can add additional form fields. You should use as many form fields as there are datasets contributing to a composite image. For instance, a 3-color RGB image composited from three different observations should have three sets of fields, one describing each observation.</li>
                    <li class="howto">You should use a dash "&mdash;" character as a placeholder in tags that can take multiple values when specific instances are missing. These include Distance (when you include a redshift value but not a distance in light years) or any of the Observation fields. Note that if none of the values are known for a tag they should all be left blank. Placeholders are needed only when some fields are known for a tag but others are to be left blank.</li>
                </ul>
            </div>
            <div class="convert">
                <label>File name</label><input name="filename" id="filename" size="25" />
                <input type="submit" name="submit" id="submit" value="Convert to avm/xmp" />
            </div>
            </form>
        </div>
        
        <!-- Begin Subject Category Widget -->
	<div id="layer1">
		<div id="layer1_handle">			
			<a href="#" id="close">[ x ]</a>
			Subject Category Widget
		</div>
		The Subject Category Widget is used to classify astronomical images.  It is highly suggested that this field be completed for taxonomy purposes.<br/>  To use:<ul><li>Select an appropriate Top Level Hierarchy</li><li>Select as many subjects below that fit according to your astronomical image.</li><li>There is no limit to the number of categories choosen</li><li>This tool will generate numeric codes for each category.  These numeric codes will be read by AVM enable applications for classification purposes.</li></ul>
		<span id="inputs">&emsp;</span><br />
		<div id="tools">
		  <a href="#" onclick="removeInput()">Remove</a>
		  <a href="#" onclick="sendtoAVM()">Send to AVM Web Tool</a><br />
        </div>
		<div id="layer1_content">

            <div id="top">
                Choose a Top Level Hierarchy:
                <select name="toplevel" id="toplevel">
                    <option value="">undefined</option>
                    <option value="A">Solar System</option>
                    <option value="B">Milky Way</option>
                    <option value="C">Local Universe</option>
                    <option value="D">Early Universe</option>
                    <option value="E">Unspecified</option>
                    <option value="X">Extensible</option>
                </select>
            </div>
            <div id="subjectcategory" class="tree">
            <ul><li class='root'>Subject Category Widget<ul><li><a href='#' onclick="registerid('1')" class="text">Planet</a><ul><li><a href='#' onclick="registerid('1.1')" class="text">[Type]</a><ul><li><a href='#' onclick="registerid('1.1.1')" class="text">Terrestrial</a></li><li><a href='#' onclick="registerid('1.1.2')" class="text">Gas Giant</a></li></ul></li><li><a href='#' onclick="registerid('1.2')" class="text">[Feature]</a><ul><li><a href='#' onclick="registerid('1.2.1')" class="text">Surface</a><ul><li><a href='#' onclick="registerid('1.2.1.1')" class="text">Mountain</a></li><li><a href='#' onclick="registerid('1.2.1.2')" class="text">Canyon</a></li><li><a href='#' onclick="registerid('1.2.1.3')" class="text">Volcanic</a></li><li><a href='#' onclick="registerid('1.2.1.4')" class="text">Impact</a></li><li><a href='#' onclick="registerid('1.2.1.5')" class="text">Erosion</a></li><li><a href='#' onclick="registerid('1.2.1.6')" class="text">Liquid</a></li><li><a href='#' onclick="registerid('1.2.1.7')" class="text">Ice</a></li></ul></li><li><a href='#' onclick="registerid('1.2.2')" class="text">Atmosphere</a><ul><li><a href='#' onclick="registerid('1.2.2.1')" class="text">Cloud</a></li><li><a href='#' onclick="registerid('1.2.2.2')" class="text">Storm</a></li><li><a href='#' onclick="registerid('1.2.2.3')" class="text">Belt</a></li><li><a href='#' onclick="registerid('1.2.2.4')" class="text">Aurora</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('1.3')" class="text">[Special Cases]</a><ul><li><a href='#' onclick="registerid('1.3.1')" class="text">Transiting</a></li><li><a href='#' onclick="registerid('1.3.2')" class="text">Hot Jupiter</a></li><li><a href='#' onclick="registerid('1.3.3')" class="text">Pulsar planet</a></li></ul></li><li><a href='#' onclick="registerid('1.4')" class="text">Satellite</a><ul><li><a href='#' onclick="registerid('1.4.1')" class="text">[Feature]</a><ul><li><a href='#' onclick="registerid('1.4.1.1')" class="text">Surface</a><ul><li><a href='#' onclick="registerid('1.4.1.1.1')" class="text">Mountain</a></li><li><a href='#' onclick="registerid('1.4.1.1.2')" class="text">Canyon</a></li><li><a href='#' onclick="registerid('1.4.1.1.3')" class="text">Volcanic</a></li><li><a href='#' onclick="registerid('1.4.1.1.4')" class="text">Impact</a></li><li><a href='#' onclick="registerid('1.4.1.1.5')" class="text">Erosion</a></li><li><a href='#' onclick="registerid('1.4.1.1.6')" class="text">Liquid</a></li><li><a href='#' onclick="registerid('1.4.1.1.7')" class="text">Ice</a></li></ul></li><li><a href='#' onclick="registerid('1.4.1.2')" class="text">Atmosphere</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('1.5')" class="text">Ring</a></li></ul></li><li><a href='#' onclick="registerid('2')" class="text">Interplanetary Body</a><ul><li><a href='#' onclick="registerid('2.1')" class="text">Dwarf Planet</a></li><li><a href='#' onclick="registerid('2.2')" class="text">Comet</a><ul><li><a href='#' onclick="registerid('2.2.1')" class="text">Nucleus</a></li><li><a href='#' onclick="registerid('2.2.2')" class="text">Coma</a></li><li><a href='#' onclick="registerid('2.2.3')" class="text">Tail</a><ul><li><a href='#' onclick="registerid('2.2.3.1')" class="text">Dust</a></li><li><a href='#' onclick="registerid('2.2.3.2')" class="text">Gas</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('2.3')" class="text">Asteroid</a></li><li><a href='#' onclick="registerid('2.4')" class="text">Meteoroid</a></li></ul></li><li><a href='#' onclick="registerid('3')" class="text">Star</a><ul><li><a href='#' onclick="registerid('3.1')" class="text">[Evolutionary Stage]</a><ul><li><a href='#' onclick="registerid('3.1.1')" class="text">Protostar</a></li><li><a href='#' onclick="registerid('3.1.2')" class="text">Young Stellar Object</a></li><li><a href='#' onclick="registerid('3.1.3')" class="text">Main Sequence</a></li><li><a href='#' onclick="registerid('3.1.4')" class="text">Red Giant</a></li><li><a href='#' onclick="registerid('3.1.5')" class="text">Red Supergiant</a></li><li><a href='#' onclick="registerid('3.1.6')" class="text">Blue Supergiant</a></li><li><a href='#' onclick="registerid('3.1.7')" class="text">White Dwarf</a></li><li><a href='#' onclick="registerid('3.1.8')" class="text">Supernova</a></li><li><a href='#' onclick="registerid('3.1.9')" class="text">Neutron Star</a><ul><li><a href='#' onclick="registerid('3.1.9.1')" class="text">Pulsar</a></li><li><a href='#' onclick="registerid('3.1.9.2')" class="text">Magnetar</a></li></ul></li><li><a href='#' onclick="registerid('3.1.10')" class="text">Black Hole</a></li></ul></li><li><a href='#' onclick="registerid('3.2')" class="text">[Type]</a><ul><li><a href='#' onclick="registerid('3.2.1')" class="text">Variable</a><ul><li><a href='#' onclick="registerid('3.2.1.1')" class="text">Pulsating</a></li><li><a href='#' onclick="registerid('3.2.1.2')" class="text">Irregular</a></li><li><a href='#' onclick="registerid('3.2.1.3')" class="text">Eclipsing</a></li><li><a href='#' onclick="registerid('3.2.1.4')" class="text">Flare Star</a></li><li><a href='#' onclick="registerid('3.2.1.5')" class="text">Nova</a></li></ul></li><li><a href='#' onclick="registerid('3.2.2')" class="text">Carbon</a></li><li><a href='#' onclick="registerid('3.2.3')" class="text">Brown Dwarf</a></li><li><a href='#' onclick="registerid('3.2.4')" class="text">Wolf-Rayet</a></li><li><a href='#' onclick="registerid('3.2.5')" class="text">Blue Straggler</a></li><li><a href='#' onclick="registerid('3.2.6')" class="text">Exotic</a><ul><li><a href='#' onclick="registerid('3.2.6.1')" class="text">X-Ray Binary</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('3.3')" class="text">[Spectral Type]</a><ul><li><a href='#' onclick="registerid('3.3.1')" class="text">O</a></li><li><a href='#' onclick="registerid('3.3.2')" class="text">B</a></li><li><a href='#' onclick="registerid('3.3.3')" class="text">A</a></li><li><a href='#' onclick="registerid('3.3.4')" class="text">F</a></li><li><a href='#' onclick="registerid('3.3.5')" class="text">G</a></li><li><a href='#' onclick="registerid('3.3.6')" class="text">K</a></li><li><a href='#' onclick="registerid('3.3.7')" class="text">M</a></li><li><a href='#' onclick="registerid('3.3.8')" class="text">L</a></li><li><a href='#' onclick="registerid('3.3.9')" class="text">T</a></li></ul></li><li><a href='#' onclick="registerid('3.4')" class="text">[Population]</a><ul><li><a href='#' onclick="registerid('3.4.1')" class="text">I</a></li><li><a href='#' onclick="registerid('3.4.2')" class="text">II</a></li><li><a href='#' onclick="registerid('3.4.3')" class="text">III</a></li></ul></li><li><a href='#' onclick="registerid('3.5')" class="text">[Feature]</a><ul><li><a href='#' onclick="registerid('3.5.1')" class="text">Photosphere</a><ul><li><a href='#' onclick="registerid('3.5.1.1')" class="text">Granulation</a></li><li><a href='#' onclick="registerid('3.5.1.2')" class="text">Sunspot</a></li></ul></li><li><a href='#' onclick="registerid('3.5.2')" class="text">Chromosphere</a><ul><li><a href='#' onclick="registerid('3.5.2.1')" class="text">Flare</a></li><li><a href='#' onclick="registerid('3.5.2.2')" class="text">Facula</a></li></ul></li><li><a href='#' onclick="registerid('3.5.3')" class="text">Corona</a><ul><li><a href='#' onclick="registerid('3.5.3.1')" class="text">Prominence</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('3.6')" class="text">[Grouping]</a><ul><li><a href='#' onclick="registerid('3.6.1')" class="text">Binary</a></li><li><a href='#' onclick="registerid('3.6.2')" class="text">Triple</a></li><li><a href='#' onclick="registerid('3.6.3')" class="text">Multiple</a></li><li><a href='#' onclick="registerid('3.6.4')" class="text">Cluster</a><ul><li><a href='#' onclick="registerid('3.6.4.1')" class="text">Open</a></li><li><a href='#' onclick="registerid('3.6.4.2')" class="text">Globular</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('3.7')" class="text">Circumstellar Material</a><ul><li><a href='#' onclick="registerid('3.7.1')" class="text">Planetary System</a></li><li><a href='#' onclick="registerid('3.7.2')" class="text">Disk</a><ul><li><a href='#' onclick="registerid('3.7.2.1')" class="text">Protoplanetary</a></li><li><a href='#' onclick="registerid('3.7.2.2')" class="text">Accretion</a></li><li><a href='#' onclick="registerid('3.7.2.3')" class="text">Debris</a></li></ul></li><li><a href='#' onclick="registerid('3.7.3')" class="text">Outflow</a><ul><li><a href='#' onclick="registerid('3.7.3.1')" class="text">Solar Wind</a></li><li><a href='#' onclick="registerid('3.7.3.2')" class="text">Coronal Mass Ejection</a></li></ul></li></ul></li></ul></li><li><a href='#' onclick="registerid('4')" class="text">Nebula</a><ul><li><a href='#' onclick="registerid('4.1')" class="text">[Type]</a><ul><li><a href='#' onclick="registerid('4.1.1')" class="text">Interstellar Medium</a></li><li><a href='#' onclick="registerid('4.1.2')" class="text">Star Formation</a></li><li><a href='#' onclick="registerid('4.1.3')" class="text">Planetary</a></li><li><a href='#' onclick="registerid('4.1.4')" class="text">Supernova Remnant</a></li><li><a href='#' onclick="registerid('4.1.5')" class="text">Jet</a></li></ul></li><li><a href='#' onclick="registerid('4.2')" class="text">[Appearance]</a><ul><li><a href='#' onclick="registerid('4.2.1')" class="text">Emission</a><ul><li><a href='#' onclick="registerid('4.2.1.1')" class="text">H II Region</a></li></ul></li><li><a href='#' onclick="registerid('4.2.2')" class="text">Reflection</a><ul><li><a href='#' onclick="registerid('4.2.2.1')" class="text">Light Echo</a></li></ul></li><li><a href='#' onclick="registerid('4.2.3')" class="text">Dark</a><ul><li><a href='#' onclick="registerid('4.2.3.1')" class="text">Molecular Cloud</a></li><li><a href='#' onclick="registerid('4.2.3.2')" class="text">Bok Globule</a></li><li><a href='#' onclick="registerid('4.2.3.3')" class="text">Proplyd</a></li></ul></li></ul></li></ul></li><li><a href='#' onclick="registerid('5')" class="text">Galaxy</a><ul><li><a href='#' onclick="registerid('5.1')" class="text">[Type]</a><ul><li><a href='#' onclick="registerid('5.1.1')" class="text">Spiral</a></li><li><a href='#' onclick="registerid('5.1.2')" class="text">Barred</a></li><li><a href='#' onclick="registerid('5.1.3')" class="text">Lenticular</a></li><li><a href='#' onclick="registerid('5.1.4')" class="text">Elliptical</a></li><li><a href='#' onclick="registerid('5.1.5')" class="text">Ring</a></li><li><a href='#' onclick="registerid('5.1.6')" class="text">Irregular</a></li><li><a href='#' onclick="registerid('5.1.7')" class="text">Interacting</a></li><li><a href='#' onclick="registerid('5.1.8')" class="text">Gravitationally Lensed</a></li></ul></li><li><a href='#' onclick="registerid('5.2')" class="text">[Size]</a><ul><li><a href='#' onclick="registerid('5.2.1')" class="text">Giant</a></li><li><a href='#' onclick="registerid('5.2.2')" class="text">Dwarf</a></li></ul></li><li><a href='#' onclick="registerid('5.3')" class="text">[Activity]</a><ul><li><a href='#' onclick="registerid('5.3.1')" class="text">Normal</a></li><li><a href='#' onclick="registerid('5.3.2')" class="text">AGN</a><ul><li><a href='#' onclick="registerid('5.3.2.1')" class="text">Quasar</a></li><li><a href='#' onclick="registerid('5.3.2.2')" class="text">Seyfert</a></li><li><a href='#' onclick="registerid('5.3.2.3')" class="text">Blazar</a></li><li><a href='#' onclick="registerid('5.3.2.4')" class="text">Liner</a></li></ul></li><li><a href='#' onclick="registerid('5.3.3')" class="text">Starburst</a></li><li><a href='#' onclick="registerid('5.3.4')" class="text">Ultraluminous</a></li></ul></li><li><a href='#' onclick="registerid('5.4')" class="text">[Component]</a><ul><li><a href='#' onclick="registerid('5.4.1')" class="text">Bulge</a></li><li><a href='#' onclick="registerid('5.4.2')" class="text">Bar</a></li><li><a href='#' onclick="registerid('5.4.3')" class="text">Disk</a></li><li><a href='#' onclick="registerid('5.4.4')" class="text">Halo</a></li><li><a href='#' onclick="registerid('5.4.5')" class="text">Ring</a></li><li><a href='#' onclick="registerid('5.4.6')" class="text">Central Black Hole</a></li><li><a href='#' onclick="registerid('5.4.7')" class="text">Spiral Arm</a></li><li><a href='#' onclick="registerid('5.4.8')" class="text">Dust Lane</a></li><li><a href='#' onclick="registerid('5.4.9')" class="text">Center/Core</a></li></ul></li><li><a href='#' onclick="registerid('5.5')" class="text">[Grouping]</a><ul><li><a href='#' onclick="registerid('5.5.1')" class="text">Pair</a></li><li><a href='#' onclick="registerid('5.5.2')" class="text">Multiple</a></li><li><a href='#' onclick="registerid('5.5.3')" class="text">Cluster</a></li><li><a href='#' onclick="registerid('5.5.4')" class="text">Supercluster</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('6')" class="text">Cosmology</a><ul><li><a href='#' onclick="registerid('6.1')" class="text">[Morphology]</a><ul><li><a href='#' onclick="registerid('6.1.1')" class="text">Deep Field</a></li><li><a href='#' onclick="registerid('6.1.2')" class="text">Large-Scale Structure</a></li><li><a href='#' onclick="registerid('6.1.3')" class="text">Cosmic Background</a></li></ul></li><li><a href='#' onclick="registerid('6.2')" class="text">[Phenomenon]</a><ul><li><a href='#' onclick="registerid('6.2.1')" class="text">Lensing</a></li><li><a href='#' onclick="registerid('6.2.2')" class="text">Gamma Ray Burst</a></li><li><a href='#' onclick="registerid('6.2.3')" class="text">Dark Matter</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('7')" class="text">Sky Phenomenon</a><ul><li><a href='#' onclick="registerid('7.1')" class="text">Night Sky</a><ul><li><a href='#' onclick="registerid('7.1.1')" class="text">Constellation</a></li><li><a href='#' onclick="registerid('7.1.2')" class="text">Asterism</a></li><li><a href='#' onclick="registerid('7.1.3')" class="text">Milky Way</a></li><li><a href='#' onclick="registerid('7.1.4')" class="text">Trail</a><ul><li><a href='#' onclick="registerid('7.1.4.1')" class="text">Meteor</a></li><li><a href='#' onclick="registerid('7.1.4.2')" class="text">Star</a></li><li><a href='#' onclick="registerid('7.1.4.3')" class="text">Satellite</a></li></ul></li><li><a href='#' onclick="registerid('7.1.5')" class="text">Zodiacal Light</a><ul><li><a href='#' onclick="registerid('7.1.5.1')" class="text">Gegenschein</a></li></ul></li><li><a href='#' onclick="registerid('7.1.6')" class="text">Night glow</a></li></ul></li><li><a href='#' onclick="registerid('7.2')" class="text">Eclipse</a><ul><li><a href='#' onclick="registerid('7.2.1')" class="text">Solar</a><ul><li><a href='#' onclick="registerid('7.2.1.1')" class="text">Total</a></li><li><a href='#' onclick="registerid('7.2.1.2')" class="text">Partial</a></li><li><a href='#' onclick="registerid('7.2.1.3')" class="text">Annular</a></li></ul></li><li><a href='#' onclick="registerid('7.2.2')" class="text">Lunar</a><ul><li><a href='#' onclick="registerid('7.2.2.1')" class="text">Total</a></li><li><a href='#' onclick="registerid('7.2.2.2')" class="text">Partial</a></li><li><a href='#' onclick="registerid('7.2.2.3')" class="text">Penumbral</a></li></ul></li><li><a href='#' onclick="registerid('7.2.3')" class="text">Occultation</a></li><li><a href='#' onclick="registerid('7.2.4')" class="text">Transit</a></li></ul></li><li><a href='#' onclick="registerid('7.3')" class="text">Light Phenomenon</a><ul><li><a href='#' onclick="registerid('7.3.1')" class="text">Sunrise-Sunset</a><ul><li><a href='#' onclick="registerid('7.3.1.1')" class="text">Green flash</a></li><li><a href='#' onclick="registerid('7.3.1.2')" class="text">Refractive Distortion</a></li><li><a href='#' onclick="registerid('7.3.1.3')" class="text">Sun Pillar</a></li></ul></li><li><a href='#' onclick="registerid('7.3.2')" class="text">Cloud</a><ul><li><a href='#' onclick="registerid('7.3.2.1')" class="text">Iridescent</a></li><li><a href='#' onclick="registerid('7.3.2.2')" class="text">Noctilucent</a></li><li><a href='#' onclick="registerid('7.3.2.3')" class="text">Nacreous</a></li><li><a href='#' onclick="registerid('7.3.2.4')" class="text">Corona</a></li><li><a href='#' onclick="registerid('7.3.2.5')" class="text">Glory</a></li></ul></li><li><a href='#' onclick="registerid('7.3.3')" class="text">Rainbow</a><ul><li><a href='#' onclick="registerid('7.3.3.1')" class="text">Moonbow</a></li><li><a href='#' onclick="registerid('7.3.3.2')" class="text">Fogbow</a></li></ul></li><li><a href='#' onclick="registerid('7.3.4')" class="text">Halo</a><ul><li><a href='#' onclick="registerid('7.3.4.1')" class="text">Circle</a></li><li><a href='#' onclick="registerid('7.3.4.2')" class="text">Parhelia</a></li><li><a href='#' onclick="registerid('7.3.4.3')" class="text">Arc</a></li></ul></li><li><a href='#' onclick="registerid('7.3.5')" class="text">Ray-Shadow</a><ul><li><a href='#' onclick="registerid('7.3.5.1')" class="text">Crepuscular ray</a></li><li><a href='#' onclick="registerid('7.3.5.2')" class="text">Anti-crepuscular ray</a></li><li><a href='#' onclick="registerid('7.3.5.3')" class="text">Earth shadow</a></li></ul></li><li><a href='#' onclick="registerid('7.3.6')" class="text">Lightning</a></li><li><a href='#' onclick="registerid('7.3.7')" class="text">Aurora</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('8')" class="text">Technology</a><ul><li><a href='#' onclick="registerid('8.1')" class="text">Observatory</a><ul><li><a href='#' onclick="registerid('8.1.1')" class="text">Facility</a></li><li><a href='#' onclick="registerid('8.1.2')" class="text">Telescope</a></li><li><a href='#' onclick="registerid('8.1.3')" class="text">Instrument</a></li><li><a href='#' onclick="registerid('8.1.4')" class="text">Detector</a></li></ul></li><li><a href='#' onclick="registerid('8.2')" class="text">Spacecraft</a><ul><li><a href='#' onclick="registerid('8.2.1')" class="text">Orbiter</a></li><li><a href='#' onclick="registerid('8.2.2')" class="text">Probe</a></li><li><a href='#' onclick="registerid('8.2.3')" class="text">Lander</a></li><li><a href='#' onclick="registerid('8.2.4')" class="text">Manned</a></li><li><a href='#' onclick="registerid('8.2.5')" class="text">Launch Vehicle</a></li></ul></li></ul></li><li><a href='#' onclick="registerid('9')" class="text">People</a><ul><li><a href='#' onclick="registerid('9.1')" class="text">Scientist</a></li><li><a href='#' onclick="registerid('9.2')" class="text">Astronaut</a></li><li><a href='#' onclick="registerid('9.3')" class="text">Other/General</a></li></ul></li></ul></li></ul>            </div>
</div>
	</div>
        <!-- End Subject Category Widget -->
        
        
        
        <script type="text/javascript">
            // <![CDATA[
            $(window).bind('load', function() {
                $('#container-1 > ul').tabs();
            });
            // ]]>
        </script>
    </body>
</html>
<?php

} else {
//	General an xml file for output

//	Create an associative array for every xml namespace

header ( "Content-type: application/xml" );
header ( "Content-Disposition: attachment; filename = $filename.xml" );

$iptcData = array(
    'CiUrlWork' => $creatorurl,
    'CiEmailWork' => $contactemail,
    'CiTelWork' => $contacttelephone,
    'CiAdrExtadr' => $contactaddress,
    'CiAdrCity' => $contactcity,
    'CiAdrRegion' => $contactstateprovince,
    'CiAdrPcode' => $contactpostalcode,
    'CiAdrCtry' => $contactcountry
    );


$photoshopData = array(
    'Source' => $creator,
    'Headline' => $headline,
    'Credit' => $credit,
    'DateCreated' => $date
    );

$dublinCoreData = array(
    'creator' => $contactname,
    'subject' => $subjectname,
    'description' => $description,
    'title' => $title
    );

$xmpRightsData = array(
    'UsageTerms' => $rights
    );

$avmData = array( 
    'Subject.Category' => $subjectcategory,
    'Distance' => $distance,
    'Distance.Notes' => $distancenotes,
    'ReferenceURL' => $referenceurl,
    'ID' => $id, 'Type' => $type,
    'Image.ProductQuality' => $imageproductquality,
    'Facility' => $facility,
    'Instrument' => $instrument,
    'Spectral.ColorAssignment' => $spectralcolorassignment,
    'Spectral.Band' => $spectralband,
    'Spectral.Bandpass' => $spectralbandpass,
    'Spectral.CentralWavelength' => $spectralcentralwavelength,
    'Spectral.Notes' => $spectralnotes,
    'Temporal.StartTime' => $temporalstarttime,
    'Temporal.IntegrationTime' => $temporalintegrationtime,
    'DatasetID' => $datasetid,
    'Spatial.CoordinateFrame' => $spatialcoordinateframe,
    'Spatial.Equinox' => $spatialequinox,
    'Spatial.ReferenceValue' => $spatialreferencevalue,
    'Spatial.ReferenceDimension' => $spatialreferencedimension,
    'Spatial.ReferencePixel' => $spatialreferencepixel,
    'Spatial.Scale' => $spatialscale,
    'Spatial.Rotation' => $spatialrotation,
    'Spatial.CoordsystemProjection' => $spatialcoordsystemprojection,
    'Spatial.Quality' => $spatialquality,
    'Spatial.Notes' => $spatialnotes,
    'Spatial.FITSheader' => $spatialfitsheader,
//    'Spatial.CDMatrix' => $spatialcdmatrix,
    'Publisher' => $publisher,
    'PublisherID' => $publisherid,
    'ResourceID' => $resourceid,
    'ResourceURL' => $resourceurl,
    'RelatedResources' => $relatedresources,
    'MetadataDate' => $metadatadate,
    'MetadataVersion' => $metadataversion
    );

//	Generate xml file

write_header ( );
write_data ( $iptcData, $iptc_ns );
write_data ( $photoshopData, $photoshop_ns );
write_data ( $dublinCoreData, $dc_ns );
write_data ( $avmData, $avm_ns );
write_data ( $xmpRightsData, $xaprights_ns );
write_closer ( );

}

?>
